Bug 446188 - BUG: Don't reserve crashkernel memory > 4 GB on ia64
BUG: Don't reserve crashkernel memory > 4 GB on ia64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
ia64 Linux
low Severity low
: rc
: ---
Assigned To: Prarit Bhargava
Martin Jenner
:
Depends On:
Blocks: 447304
  Show dependency treegraph
 
Reported: 2008-05-13 08:20 EDT by Prarit Bhargava
Modified: 2010-03-14 17:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:25:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream fix for this issue (3.61 KB, patch)
2008-05-13 08:20 EDT, Prarit Bhargava
no flags Details | Diff
RHEL5 fix for this issue (4.81 KB, patch)
2008-05-16 09:18 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Prarit Bhargava 2008-05-13 08:20:46 EDT
Description of problem:

Some IA64 machines map all cell-local memory above 4 GB (32 bit limit).
However, in most cases, the kernel needs some memory below that limit that is
DMA-capable. So in this machine configuration, the crashkernel will be reserved
above 4 GB.

For machines that use SWIOTLB implementation because they lack an I/O MMU
the low memory is required by the SWIOTLB implementation. In that case,
it doesn't make sense to reserve the crashkernel at all because it's unusable
for kdump.

Version-Release number of selected component (if applicable): 2.6.18-92.el5


How reproducible: 100% on certain systems


Steps to Reproduce:
1. Boot with crashkernel > 4GB
  
Actual results: Varied -- some systems hang, others panic.


Expected results: No hangs or panics


Additional info: Upstream patch attached.
Comment 1 Prarit Bhargava 2008-05-13 08:20:46 EDT
Created attachment 305230 [details]
Upstream fix for this issue
Comment 2 Prarit Bhargava 2008-05-14 13:18:24 EDT
Doug, do you have an HP system that requires 'machvec=dig' on the kdump boot
line?  ISTR an issue about adding 'machvec=dig' to the kdump boot line ...

P.
Comment 3 Prarit Bhargava 2008-05-14 13:27:09 EDT
Answered my own question ;)

https://bugzilla.redhat.com/show_bug.cgi?id=218667

and

https://bugzilla.redhat.com/show_bug.cgi?id=218487

P.
Comment 4 Prarit Bhargava 2008-05-15 10:11:46 EDT
Adding jwilson -- when a final patch is posted you'll have to test xen-ia64.

P.
Comment 5 Jarod Wilson 2008-05-15 10:39:09 EDT
Hm... Only machine I've got that requires machvec=dig has only 4GB of memory,
not sure what sort of mapping its got... Can probably get a machine in RHTS to
work with though. Or do I correctly recall that you have an rx2620 that
(according to bug 218667) also needs machvec=dig?
Comment 6 Prarit Bhargava 2008-05-15 10:54:07 EDT
Yeah -- I'm just about to start testing there.

/me is using a larger system to compile ATM.

P.
Comment 7 Prarit Bhargava 2008-05-16 09:17:41 EDT
Upstream commit:

http://marc.info/?l=git-commits-head&m=121088524228704&w=2
Comment 8 Prarit Bhargava 2008-05-16 09:18:23 EDT
Created attachment 305679 [details]
RHEL5 fix for this issue
Comment 9 RHEL Product and Program Management 2008-06-26 08:46:21 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 Don Zickus 2008-09-02 23:39:47 EDT
in kernel-2.6.18-107.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 15 Ryan Lerch 2008-11-03 23:34:02 EST
This bug has been marked for inclusion in the Red Hat Enterprise Linux 5.3
Release Notes.

To aid in the development of relevant and accurate release notes, please fill
out the "Release Notes" field above with the following 4 pieces of information:


Cause:   What actions or circumstances cause this bug to present.

Consequence:  What happens when the bug presents.

Fix:   What was done to fix the bug.

Result:  What now happens when the actions or circumstances above occur. (NB:
this is not the same as 'the bug doesn't present anymore')
Comment 18 errata-xmlrpc 2009-01-20 15:25:31 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.